Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.exceptions
Class DataSourceRequiredPropertyMissingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.exceptions.GrailsDataSourceException
                          org.codehaus.groovy.grails.exceptions.DataSourceRequiredPropertyMissingException

All Implemented Interfaces:
  Serializable

    public class DataSourceRequiredPropertyMissingException

extends GrailsDataSourceException

Thrown when a missing property on a Grails data source is missing.

Since:
  Aug 6, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`DataSourceRequiredPropertyMissingException()`
`DataSourceRequiredPropertyMissingException(String arg0)`
`DataSourceRequiredPropertyMissingException(String arg0, Throwable arg1)`
`DataSourceRequiredPropertyMissingException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataSourceRequiredPropertyMissingException

    public DataSourceRequiredPropertyMissingException()

### DataSourceRequiredPropertyMissingException

    public DataSourceRequiredPropertyMissingException(String arg0)

### DataSourceRequiredPropertyMissingException

    public DataSourceRequiredPropertyMissingException(String arg0,
                                                      Throwable arg1)

### DataSourceRequiredPropertyMissingException

    public DataSourceRequiredPropertyMissingException(Throwable arg0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project